<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <!-- Email Template Preview Custom -->
        <record model="ir.ui.view" id="email_template_preview_custom_form">
            <field name="name">email_template.preview_custom.form</field>
            <field name="model">email_template.preview_custom</field>
            <field name="arch" type="xml">
                <form string="Email Preview Custom">
                    <field name="res_id" invisible="1"/>
                    <field name="subject" widget="CopyClipboardChar" readonly="1"/>
                    <field name="body_html" widget="CopyClipboardText" readonly="1" nolabel="1" />
                    <footer>
                        <button string="Discard" class="btn-secondary" special="cancel"/>
                    </footer>
                </form>
            </field>
        </record>

        <record id="wizard_email_template_preview_custom" model="ir.actions.act_window">
            <field name="name">Template Preview Custom</field>
            <field name="res_model">email_template.preview_custom</field>
            <field name="src_model">mail.template</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="email_template_preview_custom_form"/>
            <field name="target">new</field>
            <field name="context">{'template_id':template_id}</field>
        </record>

    </data>
</odoo>
